<!DOCTYPE kmyfirewall-kmfruleoptiondefinition>
<ruleoptiondefinitionset>
<ruleoptiondefinition name="all_prot_opt"  guiName="Match ALL Protocols">
  <option guiName="" command="-p all" />
</ruleoptiondefinition>
<ruleoptiondefinition name="udp_opt"  guiName="Protocol UDP">
  <option guiName="" command="-p udp" />
  <option guiName="Src. Port:" command="--source-port" />
  <option guiName="Dest. Port:" command="--destination-port" />
</ruleoptiondefinition>
<ruleoptiondefinition name="udp_multiport_opt"  guiName="UDP Multiport">
	<option guiName="" command="-p udp --match multiport" />
  <option guiName="Src. Ports:" command="--source-ports" />
  <option guiName="Dest. Ports:" command="--destination-ports" />
  <option guiName="Equal. Ports:" command="--ports" />
</ruleoptiondefinition>
<ruleoptiondefinition name="tcp_opt"  guiName="Protocol TCP">
  <option guiName="" command="-p tcp" />
  <option guiName="Src. Port:" command="--source-port" />
  <option guiName="Dest. Port:" command="--destination-port" />
  <option guiName="TCP Flags:" command="--tcp-flags" />
  <option guiName="TCP Option:" command="--tcp-option" />
</ruleoptiondefinition>
<ruleoptiondefinition name="tcp_multiport_opt"  guiName="TCP Multiport">
	<option guiName="" command="-p tcp --match multiport" />
  <option guiName="Src. Ports:" command="--source-ports" />
  <option guiName="Dest. Ports:" command="--destination-ports" />
  <option guiName="Equal. Ports:" command="--ports" />
</ruleoptiondefinition>
<ruleoptiondefinition name="icmp_opt"  guiName="Match ICMP">
  <option guiName="" command="-p icmp" />
  <option guiName="Type:" command="--icmp-type" />
</ruleoptiondefinition>
</ruleoptiondefinitionset>
